Bug 350621 - uncompress silently ignores unknown extensions
uncompress silently ignores unknown extensions
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ncompress (Show other bugs)
4.2
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 11:46 EDT by Jeff Morriss
Modified: 2008-05-27 14:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 10:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Morriss 2007-10-24 11:46:42 EDT
Description of problem:

I received a compress'd file without the customary ".Z" extension.  I ran
"uncompress" on it which issued no complaints but the file was still compressed.

Other programs (like gunzip or the UNIX version of uncompress) issue a complaint
when ignoring unknown file extensions.

Version-Release number of selected component (if applicable):

ncompress-4.2.4-40

How reproducible:

See below:

Steps to Reproduce:
1. cp /etc/hosts foo
2. compress foo
3. mv foo.Z foo
4. uncompress foo
  
Actual results:

% uncompress foo
% file foo
foo: compress'd data 16 bits


Expected results:

% uncompress foo
foo.Z: No such file or directory
% file foo
foo: compress'd data 16 bits

(This "expected result" taken from a Solaris 9 system.  A result similar to
gunzip's "gunzip: foo: unknown suffix -- ignored" would also be reasonable.)

Additional info:

This is really not a big deal but it would be better if the user was warned
nothing was happening.
Comment 1 RHEL Product and Program Management 2008-02-01 14:00:22 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 2 Ondrej Vasik 2008-05-27 10:55:35 EDT
Again thanks for report and sorry for late response. Situation is the same as
with #350631. That message is visible only in verbose mode and suppressed by
default.

Therefore:
% uncompress -v foo
foo - no .Z suffix

That's almost the same what you have requested. Therefore closing NOTABUG. Feel
free to add any comments if you are not satisfied with that explanation.
Comment 3 Jeff Morriss 2008-05-27 14:46:20 EDT
[As with bug 350631]:

Well, OK, though I would think this (verbose) output should be the default
output to avoid confusing users.

Note You need to log in before you can comment on or make changes to this bug.